Users: Geofence Events
GET /apps/{app_id}/users/{id}/geofence_eventsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the pulsate app’s user |
Query Parameters
Section titled “Query Parameters”| Name | Type | Required | Description |
|---|---|---|---|
page |
string | No | page number |
per_page |
string | No | records per page |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/users/{id}/geofence_events \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{"data":[{ "id": "geofence_event_id", "name": "geofence_event_name", "type": "geofence_event_type", "occurred_at": "geofence_event_created_at", }], "metadata":{"page":1,"per_page":25,"total_pages":1,"data_count":0}}
